package test;

import java.io.File;
import java.io.IOException;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;

public class Test_MSGFW001 {

    public static void main(String[] args) throws IOException {
        File baseDir = new File("." + File.separator + "etc");
        System.setProperty("CONFIG_PATH", baseDir.getCanonicalPath());
        System.out.println("=================================== 시작 ");
        GlueBizController controller = GlueBizProvider.getController();
        System.out.println("=================================== bean 생성완료");

        GlueContext ctx = new GlueDefaultContext();
        StringBuffer msg = new StringBuffer("MSGFW001");// length=8
        msg.append("10");// length=2
        msg.append("TESTING       ");// length=14
        msg.append("PANGYO       ");// length=13
        msg.append(" ");// length=1
        ctx.put(GlueBizControlConstants.RECEIVE_TC, msg.toString());
        ctx.put(GlueBizControlConstants.SERVICE_NAME, "MSGFW001-service");
        System.out.println("=================================== GlueContext 생성완료");
        controller.doAction(ctx);
        System.out.println("=================================== GlueService 실행완료");
        System.out.println("=================================== 종료 ");

        ctx = new GlueDefaultContext();
        msg = new StringBuffer("MSGFW001");// length=8
        msg.append("10");// length=2
        msg.append("TESTING       ");// length=14
        msg.append("PANGYO       ");// length=13
        msg.append("S");// length=1
        ctx.put(GlueBizControlConstants.RECEIVE_TC, msg.toString());
        ctx.put(GlueBizControlConstants.SERVICE_NAME, "MSGFW001-service");
        System.out.println("=================================== GlueContext 생성완료 ( 2차 )");
        controller.doAction(ctx);
        System.out.println("=================================== GlueService 실행완료 ( 2차 )");
        System.out.println("=================================== 종료 ");

        ctx = new GlueDefaultContext();
        msg = new StringBuffer("MSGFW001");// length=8
        msg.append("10");// length=2
        msg.append("TESTING       ");// length=14
        msg.append("PANGYO       ");// length=13
        msg.append("s");// length=1
        ctx.put(GlueBizControlConstants.RECEIVE_TC, msg.toString());
        ctx.put(GlueBizControlConstants.SERVICE_NAME, "MSGFW001-service");
        System.out.println("=================================== GlueContext 생성완료 ( 3차 )");
        controller.doAction(ctx);
        System.out.println("=================================== GlueService 실행완료 ( 3차 )");
        System.out.println("=================================== 종료 ");
    }
}
