package sample.activity;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.message.GlueMessage;

public class ValueRouter extends GlueActivity<GlueContext> {
    // Do not define the Class Member Variable!!
    @Override
    public String runActivity(GlueContext ctx) {
        GlueMessage message = ctx.getMessage();
        String crud = (String) message.get("CRUD");

        this.logger.info("{}", crud);
        if ("S".equals(crud)) {
            this.logger.info("다음 activity에서 항목(E) 유형의 GlueMessage 객체를 생성할 예정입니다. ", crud);
            return "send1";
        } else if ("s".equals(crud)) {
            this.logger.info("다음 activity에서 항목(E) & 그룹항목(GE) 유형의 GlueMessage 객체를 생성할 예정입니다. ", crud);
            return "send2";
        } else if ("C".equals(crud)) {
            // return "add";
        } else if ("U".equals(crud)) {
            // return "modify";
        } else if ("D".equals(crud)) {
            // return "delete";
        } else {
            // throw new GlueException( "invalid data!!" );
        }
        return GlueBizControlConstants.SUCCESS;
    }
}
