package test;

import java.io.File;
import java.io.IOException;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;

public class Test_MSGFW002 {

    public static void main(String[] args) throws IOException {
        File baseDir = new File("." + File.separator + "etc");
        System.setProperty("CONFIG_PATH", baseDir.getCanonicalPath());
        System.out.println("=================================== 시작 ");
        GlueBizController controller = GlueBizProvider.getController();
        System.out.println("=================================== bean 생성완료");

        GlueContext ctx = new GlueDefaultContext();
        StringBuffer msg = new StringBuffer("MSGFW002");// length=8
        msg.append("1111");// length=4
        msg.append("john      ");// length=10
        msg.append("manager  ");// length=9
        msg.append("1000");// length=4
        msg.append("20140901");// length=8
        msg.append("0100000");// length=7
        msg.append("0200000");// length=7
        msg.append("10");// length=2
        msg.append(" ");// length=1
        ctx.put(GlueBizControlConstants.RECEIVE_TC, msg.toString());
        ctx.put(GlueBizControlConstants.SERVICE_NAME, "MSGFW002-service");
        System.out.println("=================================== GlueContext 생성완료");
        controller.doAction(ctx);
        System.out.println("=================================== GlueService 실행완료");
        System.out.println("=================================== 종료 ");
    }
}
